moc (1:2.5.0~beta2-1build2) utopic; urgency=medium

  * Rebuild against libav11.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 05 Sep 2014 01:22:18 +0100

moc (1:2.5.0~beta2-1build1) utopic; urgency=medium

  * No-change rebuild against libav10.

 -- Logan Rosen <logan@ubuntu.com>  Wed, 11 Jun 2014 22:14:42 -0400

moc (1:2.5.0~beta2-1) unstable; urgency=medium

  * Update to svn 2604 which is indeed released as 2.5.0-beta2.
  * Bumped Standards-Version: 3.9.5. No changes.
  * Added pgpsigurlmangle to the watchfile. Created
    debian/upstream-signing-key.pgp accordingly.
  * Make moc-ffmpeg-plugin's description more precise.
  * Switched to xz compression in debian/source/options.

 -- Elimar Riesebieter <riesebie@lxtec.de>  Sat, 08 Feb 2014 21:19:03 +0100

moc (1:2.5.0~beta1+svn20131120-1) unstable; urgency=low

  * Update to svn 2583
  * Implement native Opus support via d/p/01_moc-r2583+opus.patch
    from Tomasz Golinski as libav doesn't support Opus files yet. Thanks!
    Adjusted control accordingly.
  * Added libopusfile-dev to the Build-Depends.
  * Remove unused lintian overrides.

 -- Elimar Riesebieter <riesebie@lxtec.de>  Fri, 25 Oct 2013 09:14:47 +0200

moc (1:2.5.0~beta1+svn20130411-1) unstable; urgency=low

  * Update to svn r2529
  * Bumped Standards-Version: 3.9.4. No changes.
  * Upload to unstable since Wheezy is released now.
  * Fix a FTBS on arm in LRINTF. The fix was implemented from upstream in r2424
    already. (closes: 670235)

 -- Elimar Riesebieter <riesebie@lxtec.de>  Sat, 18 May 2013 17:52:09 +0200

moc (1:2.5.0~beta1-1) experimental; urgency=low

  * New beta development release (svn r2507).
  * Introduced hardening via debian/rules.
  * But need to use an lintian overwrite.
  * Droped
    - 01_moc-r2410+allow_ogg_streams-2.patch
    - 02_moc-r2410+debian_sidplay2-4.patch
    - 03_moc-r2410+null_extn-2.patch
    - 04_moc-r2420+jack_client-3.patch
    Applied upstream.
  * Raised Build-Depends Version of dpkg-dev to >= 1.16.1~.
  * Removed cvs from Build-Depends. It is useless for moc.

 -- Elimar Riesebieter <riesebie@lxtec.de>  Mon, 15 Oct 2012 21:29:22 +0200

moc (1:2.5.0~alpha4+svn20120416-1) unstable; urgency=low

  * Update to svn r2420.
  * Introduced moc-r2420+jack_client-3.patch.gz

 -- Elimar Riesebieter <riesebie@lxtec.de>  Mon, 16 Apr 2012 16:23:34 +0200

moc (1:2.5.0~alpha4+svn20120224-1) unstable; urgency=low

  * Update to svn r2410
    - Totally overhauled ffmpeg plugin
    - Adapt to Debian's changes to sidplay2.pc.
      Also see: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=524250
      and changelog.gz. Many thanks to John Fitzgerald.
  * Install svn log as sources changelog.
  * Run autoreconf via dh_autoreconf instead of autotool.sh.
  * Don't install examples twice.
  * Removed 03_aac_no_m4a.patch. Applied from upstream.
  * Removed 00_moc-r2372+warnings.patch. Applied from upstream.
  * Introduce 02_moc-r2410+debian_sidplay2-4.patch to fix the build against new
    libsidplay2-dev 2.1.1-12 where all the .la files were gone.
  * Introduce 03_moc-r2410+null_extn-2.patch to allow lyric files have NULL
    extension (filename just dotted at the end). (closes: #659745)
  * Reworked 06_moc-r2363+allow_ogg_streams.patch to
    01_moc-r2410+allow_ogg_streams-2.patch.
  * Clean up rules.
  * Bump to debhelper compat v9.
  * Bumped Standards-Version to 3.9.3. No changes needed.

 -- Elimar Riesebieter <riesebie@lxtec.de>  Fri, 24 Feb 2012 10:56:54 +0100

moc (1:2.5.0~alpha4+svn20111012-1) unstable; urgency=low

  * Updated to svn r2363
    - fix miscoloured frame when switching themes.
  * Applied 06_moc-r2363+allow_ogg_streams.patch (closes: 645312)

 -- Elimar Riesebieter <riesebie@lxtec.de>  Sat, 15 Oct 2011 14:42:17 +0200

moc (1:2.5.0~alpha4+svn20110823-1) unstable; urgency=low

  * Update to svn r2362
    _ Fix compile error with LibAV (where CODEC_TYPE_AUDIO is no longer
      defined). Partially closes: #638250 Some deprecated warnings have been
      left but will be fixed in the near future.
  * Build Depends of [linux-any] instead of a negated list of architectures.
    (closes: 634611)
  * Drop patches/external/05_sidbig.patch. Implied from upstream.
  * Drop patches/external/debian/03_aac_no_m4a.patch. Implied from upstream.
  * Switched to source compression gzip
  * Bump to debhelper compat v8.
  * Build-Depend on debhelper 8.1.3.

 -- Elimar Riesebieter <riesebie@lxtec.de>  Sat, 03 Sep 2011 15:04:26 +0200

moc (1:2.5.0~alpha4+svn20110419-1) unstable; urgency=low

  * Update to svn r2300
    - Doesn't crash when leaving the UI. (closes: #611038)
  * Upload to unstable.
  * Don't use $(CLAGS)
  * Bumped Standards-Version to 3.9.2. No changes needed.
  * Mentioned the "FATAL_ERROR: Can't send() int to the server" fix in
    README.Debian (closes: #568567)

 -- Elimar Riesebieter <riesebie@lxtec.de>  Sun, 17 Apr 2011 01:03:18 +0200

moc (1:2.5.0~alpha4+svn20100921-1) experimental; urgency=low

  * Update to svn r2250.
  * Delete rpath from /usr/lib/moc/decoder_plugins/libsidplay2_decoder.so. No
    lintian override needed anymore. Added chrpath to the Build-Depends:
  * Added libmagic-dev to provide MIME detection and support for regular files.
    It is used to determine the format of audio files.
  * Added libxml2-dev to the Build-Depends:
  * Make the source ${misc:Depends} in control file
  * Delete ltmain.sh in rules clean target.
  * Use dh_lintian to install overrides.
  * Correct typos in manpage. Thanks A. Costa (closes: #550925)
  * Compiled against libjack-jackd2-dev.
  * Enabled auto converting codepages by librcc-dev and libaspell-dev.
  * Switched to source version 3.0 (quilt)
  * Bumped Standards-Version to 3.9.1. No changes needed.

 -- Elimar Riesebieter <riesebie@lxtec.de>  Sat, 25 Sep 2010 16:39:23 +0200

moc (1:2.5.0~alpha4+svn20091009-1) unstable; urgency=low

  * Update to svn r2206.
    This is 2.5.0~alpha4 + 7 commits-
    - --seek option doesn't segfault anymore. It is described in manpage now.
      (closes: #547680)
    - Fix segfault when trying to play a file using ffmpeg, use newer ffmpeg()
      API. Hopefully (closes: #530373)
    - Fix problem with incompatible MOC tags cache version by writing a version
      file in the cache directory and purging the cache at startup in case of an
      incompatible version. User doesn't need to remove cache in case of
      "FATAL_ERROR: Can't receive value from the server." (closes: #546361)
  * Don't install unneeded .la files.
  * Added Readme.source
  * Bumped Standards-Version to 3.8.3. No changes needed.

 -- Elimar Riesebieter <riesebie@lxtec.de>  Sun, 27 Sep 2009 16:21:43 +0200

moc (1:2.5.0~alpha3+svn20090611-1) unstable; urgency=low

  * Update to svn r2153.
    - scanning etech.mp3 now works. (closes: #510542)
    - Fix compatibility with newer ffmpeg: new avcodec_decode_audio2(). Done in
      svn r2144. (closes: #530373)
    - Ported to new libmpcdec API (closes: #476371)
    - libtoolize run in autogen.sh to prevent conflicts with installed
      libtool/libltdl version. (closes: #536953)
  * BuildDepends now on libjack-dev. (closes: #527426)
  * Bumped Standards-Version to 3.8.2. No changes needed.
  * Removed 07-tags-cache-64-fix-1.patch. Applied from upstream.
  * Added patch descriptions.
  * Patched mocp.1 to interpret - as minus by /-  for groff.
  * Build Depends: switched from libltdl3-dev to unversioned libltdl-dev.
  * Removed Bartosz Fenski from Uploaders.
  * Added Nico Golde to Uploaders.

 -- Elimar Riesebieter <riesebie@lxtec.de>  Sat, 18 Jul 2009 15:14:16 +0200

moc (1:2.5.0~alpha3+svn20080629-2) unstable; urgency=low

  * Introduced 07-tags-cache-64-fix-1.patch:
    - Fixes a bug using libdb as cache on 64 bit systems. Thanks Damian Pietras.
    - Introduced News file.
    - To get this version working ~/.moc/cache has to be deleted before the
      first run of mocp.(closes: #489804, #494179)
  * Please port to new libmpcdec API: Done upstream. But we have to wait until
    new version of libmpcdec6 has entered unstable (closes: #466652)

 -- Elimar Riesebieter <riesebie@lxtec.de>  Sun, 10 Aug 2008 13:15:33 +0200


moc (1:2.5.0~alpha3+svn20080629-1) unstable; urgency=low

  * Update to svn HEAD, builds with aac-plugin.
    Added libfaad-dev to Build-Depends. (closes: #448068)
  * Get rid of ffmpeg-config via rules. (closes: #487919)
  * Let ffmpeg handle m4a via 03_aac_no_m4a.patch
  * Added libdb-dev to Build-Depends.
    - Tags cache using BerkeleyDB for better perfomance, reliability and smaller
      memory usage. Not yet finished - there is no limit for the cache size.
  * Added gettext and cvs to Build-Depends to run autopoint.
  * Adjusted copyright period in debian/copyright

 -- Elimar Riesebieter <riesebie@lxtec.de>  Sun, 29 Jun 2008 15:57:45 +0200

moc (1:2.5.0~alpha3-3) unstable; urgency=low

  * Redefined default "Layout1" setting via options.c (closes: #485059, #487205)
  * Dumped Standards-Version to 3.8.0. No changes needed.
  * Set compat level to 7.

 -- Elimar Riesebieter <riesebie@lxtec.de>  Sat, 21 Jun 2008 02:08:47 +0200

moc (1:2.5.0~alpha3-2) unstable; urgency=low

  * Added libdts-dev to BuilDepends. (closes: #482224)
  * Build against new ffmpeg-free. ffmpeg flavours now all recognized ;)
  * Run dpkg-shlibdeps with --warnings=0. Plugins reference symbols from source
    package and other symbols. That's not a bug, so we want dpkg-shlibdeps to
    shut up about warnings.
  * Build-depend on dpkg-dev >= 1.14.17 for dpkg-shlibdeps --warnings

 -- Elimar Riesebieter <riesebie@lxtec.de>  Sat, 24 May 2008 15:14:55 +0200

moc (1:2.5.0~alpha3-1) unstable; urgency=low

  * The community release
    - New upstream alpha release with community patches.
  * Switched to compat 6.
  * Bumped standard to 3.7.3. No changes needed.
  * Reorganized debian rules to always use /usr/share/misc/config.(sub|guess).
  * debian/rules: now rely on /usr/share/quilt/.
  * make distclean the lintian way.

 -- Elimar Riesebieter <riesebie@lxtec.de>  Sun, 02 Mar 2008 16:32:55 +0100

moc (1:2.5.0~alpha2-2) unstable; urgency=low

  * Introduced moc-2.4.2-2.5.0-alpha2-fix-del-backspace.patch.
    (closes: #432673)

 -- Elimar Riesebieter <riesebie@lxtec.de>  Sat, 14 Jul 2007 19:49:38 +0200

moc (1:2.5.0~alpha2-1) unstable; urgency=low

  * New upstream alpha release.
  * Flac transition: build against flac 1.1.4 (closes: #426679).
  * Enabled wavpack and sidplay2 support. debian/control:
    + libsidplay2-dev, libsidutils-dev, libresid-builder-dev, libwavpack-dev
  * Updated README.Debian.
  * Removed config option --infodir. We don't have info files.
  * libsidplay2_decoder.so is built with rpath /usr/lib (needed). Added a
    lintian-override.
  * New epoch: change package version numbering to override the mistaken
    uploaded svn version. Maybe I'll create a moc-svn package for experimental
    suite.

 -- Elimar Riesebieter <riesebie@lxtec.de>  Mon, 11 Jun 2007 20:33:46 +0200

moc (2.5.0~svn20070523-1) unstable; urgency=low

  * Update to svn HEAD
  * Removed Build-Conflicts-Indep: libcurl3-gssapi. Resides in woody and older
    versions, so don't needed anymore. Hint by Tony Mancill, thanks.
  * "Pressing 'A' in a directory without subdirectories seems...": Fixed
    upstream (closes: #416102)
  * "mocp crash" in search modus: Fixed upstream (closes: #378795)
  * "use 'a' to add a directory as well": Fixed upstream (closes: #413586)

 -- Elimar Riesebieter <riesebie@lxtec.de>  Mon, 28 May 2007 20:04:06 +0200

moc (2.4.1-2) unstable; urgency=low

  * Rebuild against libcurl4 headers (closes: #423813)

 -- Elimar Riesebieter <riesebie@lxtec.de>  Mon, 14 May 2007 19:32:43 +0200

moc (2.4.1-1) unstable; urgency=low

  * New upstream version.
  * Fixed handling mixer errors. (closes: #364524)
  * Updated watchfile to version 3
  * Disabled 12_endianess1.patch, applied upstream.
  * Reworked package structure to make it easier to play with automake, which
    changes the configure script. (closes: #393824)

 -- Elimar Riesebieter <riesebie@lxtec.de>  Sat, 21 Oct 2006 20:34:02 +0200

moc (2.4.0-2) unstable; urgency=low

  * Added a new command to prune unreadable files from the playlist provided by
    a patch from Tyranix.
  * Added modplug support by a patch from Hendrik Iben
    (http://www.tzi.de/~hiben/moc/)
  * Added specific Build-Depends for libasound2-dev: !kfreebsd-amd64 !hurd-i386
    (closes: #361468)
  * Switched to quilt
  * Updated debhelper's compatibility level to 5, no changes needed.
  * Updated Standards-Version to 3.7.2, no changes needed.

 -- Elimar Riesebieter <riesebie@lxtec.de>  Sun, 16 Jul 2006 09:32:51 +0200

moc (2.4.0-1) unstable; urgency=low

  * The 'I will never include a last minute change for a stable release.'
    release ;)
  * New stable upstream release
    UTF-8 support included (closes: #348740)
  * Complete changes see /usr/share/doc/moc/changelog.gz
  * Removed 11_oss_be.diff from list. Implied upstream.
  * Reset compat to 4 and debhelper to (>= 4.1.17)
  * Added patches/12_endianess1.diff for some reason....

 -- Elimar Riesebieter <riesebie@lxtec.de>  Sun, 12 Feb 2006 16:47:35 +0100

moc (2.3.3+2.4.0-beta2-2) experimental; urgency=low

  * Added oss_be patch to make OSS work on ppc.

 -- Elimar Riesebieter <riesebie@lxtec.de>  Mon,  6 Feb 2006 20:43:35 +0100

moc (2.3.3+2.4.0-beta2-1) experimental; urgency=low

  * New beta upstream.
     - Workaround for encoding of ID3v1 tags. New options: UseRCC - to use
       librcc for ID3v1 reencoding, ID3v1TagsEncoding - assumed encoding for
       ID3v1 tags.
     - Added UseCursorSelection option (default: no) to display cursor on the
       selected file. This is useful with braille displays.
     - Added SetXtermTitle option (disable/enable setting xterm title).
     - Fixed displaying menu title that contains non-ASCII characters.
     - Fixed next/previous commands when the position of the current file has
       changed.
     - Fixed segfault when adding URLs to the playlist using the -a command line
       option.
     - Fixed compilation with ffmpeg-config (--plugin-libs instead of --libs).
       Removed debian/patches/10_moc-ffmpeg.diff from list.
     - wcswidth() is required to compile MOC.

 -- Elimar Riesebieter <riesebie@lxtec.de>  Wed, 25 Jan 2006 23:05:23 +0100

moc (2.3.3+2.4.0-beta1-1) experimental; urgency=low

  * New beta upstream.
     - Added m4a and aac to the list of extensions supported by ffmpeg.
     - Pressing n when nothing is played starts playing from the first item on
       the playlist.
     - A and --append can add files from playlists.
     - Selecting themes at runtime - T command (this does not change the config
       file).
     - Interface show the playlist after startup if something from the playlist
       is played (CanStartInPlaylist option).
     - Internet streams can be paused.
     - Reencoding id3 tags (mp3) using librcc. Initial patch by Alexey Gladkov.
     - Executing external commands, like 'cp %f /mnt/usb_drive' where %f
       is substituted with the path to the currently selected file.
     - Ogg plugin name was changed to vorbis.
       debian/moc.install adjusted
  * Switched to compat 5. debhelper version changed to >>5.0.0
  * Removed 07_ffmpeg_endianes_fix.diff, 08_darkdot_theme-add.diff and 
    09_unknown_format_crash.diff from list. Done upstream.
  * Introduced 10_moc-ffmpeg.diff to make sure libffmpeg is compiled staticly.

 -- Elimar Riesebieter <riesebie@lxtec.de>  Mon, 16 Jan 2006 22:31:15 +0100

moc (2.3.3+2.4.0-alpha2-2) experimental; urgency=low

  * Added 09_unknown_format_crash.diff which fixes a crash by reading unknown
    formats from playlists

 -- Elimar Riesebieter <riesebie@lxtec.de>  Thu,  5 Jan 2006 23:12:12 +0100

moc (2.3.3+2.4.0-alpha2-1) experimental; urgency=low

  * Introduced moc-ffmpeg-plugin.
     - Added notes in README.Debian

 -- Elimar Riesebieter <riesebie@lxtec.de>  Thu,  5 Jan 2006 17:29:18 +0100

moc (2.3.3-1) unstable; urgency=low

  * New upstream stable bugfix release.
     - Workaround for backspace key on many terminals (like aterm).
     - Fixed a memory leak when playing internet streams. (rixx)
     - Fixed a crash when an mpc file coudn't be read.
     - Fixed a memory leak occuring with every played mp3 file.
     - Fixed a memory leak when seeking in MPC file.
     - Fixed parsing Icy metadata packages (possible segfault).
     - Fixed resource leak when reading tags from invalid OGG file.
     - Check if FileNamesIconv has valid format at startup like TagsIconv.
  * Removed libavcodec-dev, libavformat-dev from Build_Depends as they are not
    needed in 2.3.x releases.
  * Removed patches/08_darkdot_theme-add.diff and 07_ffmpeg_endianes_fix.diff.
    They theme will comme with 2.4 release.

 -- Elimar Riesebieter <riesebie@lxtec.de>  Wed,  4 Jan 2006 22:45:13 +0100

moc (2.3.2+2.4.0-alpha2-2) experimental; urgency=low

  * Added missing darkdot_theme by patches/08_darkdot_theme-add.diff

 -- Elimar Riesebieter <riesebie@lxtec.de>  Thu, 29 Dec 2005 16:59:10 +0100

moc (2.3.2+2.4.0-alpha2-1) experimental; urgency=low

  * New alpha upstream.
  * Added libavcodec-dev and libavformat-dev to Build-Depend for wma support.
  * Removed libkrb5-dev from the Build-Depends. Done by libcurl3-gnutls-dev.
  * Introduced patches/07_ffmpeg_endianes_fix.patch to support wma's on
    big-endian machines as well ;)

  Upstream changes:
  * Support for WMA and RealAudio using FFmpeg (seeking does not work!).
  * Moving items up and down: u and j commands.
  * UTF-8 support.
  * Added darkdot theme. (David Lazar )
  * Strip leading and trailing white characters from URLs entered by user.
  * Added FollowPlayedFile option: menu follows the currently played file so
    that it is scrolled if the file is outside the visible part (default to
    yes).
  * Tags cache saved to a file on exit and read at startup.
  * Added a command for adding a URL to the playlist using entry (CTRL-u).
  * Count speex time without scaning the whole file.

 -- Elimar Riesebieter <riesebie@lxtec.de>  Thu, 29 Dec 2005 12:14:47 +0100

moc (2.3.2+2.4.0-alpha1-3) experimental; urgency=low

  * Added libkrb5-dev to the Build-Depends.

 -- Elimar Riesebieter <riesebie@lxtec.de>  Fri, 14 Oct 2005 21:39:12 +0200

moc (2.3.2+2.4.0-alpha1-2) experimental; urgency=low

  * Rebuild in dependency to sid libcurl3-gnutls and alsa-1.0.9

 -- Elimar Riesebieter <riesebie@lxtec.de>  Mon, 10 Oct 2005 21:16:34 +0200

moc (2.3.2+2.4.0-alpha1-1) experimental; urgency=low

  * New alpha upstream
  * Build against libcurl3-gnutls-dev 7.14.1-3 (experimental)

  Upstream changes:
  * Layout of the main window can be changed using Layout[123] options.
    Switching between layouts is done using the 'l' key and now TAB is used to
    switch between the playlist and the directory menu. For example, you can
    configure the layout to see both the playlist and a directory content.
  * Redesign of the interface code. This is a big change in the code, but not
    really visible to the user. It was necessary to maintain and extend the
    interface in the future.
  * Tags are cached at the server side and read in a separate thread. The
  interface is not locked until the tags are read. Size of the cache can be
  adjusted using TagsCacheSize.
  * Numbering items in the playlist. Can be turned off using PlaylistNumbering.
  * MusicDir can be a playlist.
  * Commands: --append, --clear, --play work now as expected even if there is no
    client running.
  * Use full paths instead of just file names for displaying on the playlist.
  * Silent seeking can be configured using SilentSeekTime option.
  * After adding a file to the playlist, the cursor is moved down.
  * The help screen's position is kept when it's not displayed.
  * Some operations like deleting items from the playlist should now be faster.
  * Added moca_theme. (Nicola Vitale)
  * Added red_theme. (yyz)

 -- Elimar Riesebieter <riesebie@lxtec.de>  Sat,  1 Oct 2005 18:39:05 +0200

moc (2.3.2-1) unstable; urgency=low

  * The sigh NO CURL RELEASE.
  * New upstream release.
  * Compiled with --without-curl.
  * Removed Build-Depends of libasound2-dev for kfreebsd-i386.
    (closes: #327683)
  * Fixed a crash when using the playlist with ReadTags turnedoff.
    (closes: #326178)
  * Removed 04_Makefiles_themes.dpatch. (closes: #323547)
  * Compiled against the actual flac API. (closes: #325643, #325956)
  * Moved the man page to section 1. (closes: #321240)
  * More upstream fixes:
    - Optimized 24bit->16bit conversion. Helps playing mp3 on handheld devices
      without FPU.
    - Fixed detecting taglib 1.4.
    - Fixed bahaviour when one or both OSS mixer channels are not available.
    - Sort file names using the current locale settings. (breg)
    - Fixed -p description.
    - Fixed a memory leak when adding an item to a full entry's history.
    - Slightly less CPU usage in the client due to elimination of useless
      bitrate updates.
    - Fixed a typo: owerwrite -> overwrite.

 -- Elimar Riesebieter <riesebie@lxtec.de>  Sun, 25 Sep 2005 22:33:41 +0200

moc (2.3.1-1) unstable; urgency=low

  * New upstream release (Closes: #320994)
  * Build against libcurl-dev greater than 7.14.0-3 because of #318590
  * Removed patches/05_speex-endianes.dpatch, done upstream.
  * Added libjack0.100.0-dev to the Build-Depends.

 -- Elimar Riesebieter <riesebie@lxtec.de>  Wed,  3 Aug 2005 20:35:59 +0200

moc (2.3.0-1) unstable; urgency=low

  * New upstream release.
  * Added --info command line option that prints all information about the
    currently played file. (Based on the code by Michael Banks)
    (Closes: #305885)
  * Introduced patches/05_speex-endianes.dpatch.
  * Added info about SPEEX and MPC support to control.

 -- Elimar Riesebieter <riesebie@lxtec.de>  Sun, 10 Jul 2005 14:41:23 +0200

moc (2.2.2+2.3.0-beta2-2) unstable; urgency=low

  * Moved themesdir to docdir
  * Renamed README.txt to README.Debian and added some more notes there.

 -- Elimar Riesebieter <riesebie@lxtec.de>  Sun, 26 Jun 2005 15:31:06 +0200

moc (2.2.2+2.3.0-beta2-1) unstable; urgency=low

  * New beta upstreaam
     - Added --playit option (play files given on the command line without
       modifing the playlist).
     - Added UseRealtimePriority (default no) option: set realtime priority for
       the output buffer thread.
     - Fixed using national characters in entry fields.
     - Titles in saved playlists are not converted by iconv().
     - Fixed crash on some systems when a file is precached.
     - Fixed operations on RB trees: this fixes using shuffle and some memory
       leaks.
     - Changed AlsaMixer2 from MASTER to Master (this is case sensitive and the
       old version didn't work)
     - Fixed getting the played file's name when we use shuffled playlist and we
       add a file.
     - Fixed crash when the search menu is empty and we press enter.
     - Fixed passing URL on command line.
     - Refuse to run if an ALSA mixer channel is wrong.
     - Fied adding items to the playlist when the server's playlist already has
       added files.
  * Switched to Standards 2.6.2.1 - no changes needed.

 -- Elimar Riesebieter <riesebie@lxtec.de>  Fri, 24 Jun 2005 09:51:24 +0200

moc (2.2.2+2.3.0-beta1-2) unstable; urgency=low

  * To run Musepack added libmpcdec-dev and libtagc0-dev to the Build-Depends.

 -- Elimar Riesebieter <riesebie@lxtec.de>  Thu, 16 Jun 2005 21:46:14 +0200

moc (2.2.2+2.3.0-beta1-1) unstable; urgency=low

  * New beta upstream
  * Call for testing: 2.3.0-beta1 released. New features since 2.3.0-alpha2:
     - Added support for musepack (mpc).
     - Added support for PLS version 2 playlists.
     - Added mono to stereo conversion.
     - Added black_theme (by Arn).
     - Information about the state of prebuffering is displayed.
     - Two mixer channels can be set in the configuration file. They can be
       switched at run time by pressing x.
     - History for "go to a directory" and "enter URL" commands (using arrows).
     - CTRL-l like CTRL-r refreshes the screen.
     - MusicDir can be set to a playlist.
     - Separated iconv() conversion for file names and tags.
     - Improved performance a bit when operating on big playlists.
     - G command points to the currently played file - on the playlist if it's
       there, and selects it in the menu.
     - When going to a directory using the i command, TAB completes to the
       matching part of ambiguous directories.
     - Volume changes made by other programs are detected.
     - Added --recursively command line option (make a playlist from the content
       of a directory given at command line).
     - Show bitrate in the right time - the value corresponds to what you
       can hear, not the position that the decoder is at.
     - Added description about creating a decoder plugin.
     - Added introduction pages to Doxygen documentation.

  * Removed mp3-endianes.patch, done upstream.
  * Removed alsa-endianes.patch, done upstream.
  * Removed endianes-3.patch, done upstream.
  * Removed curl_wake_up.patch, done upstream.
  * Removed 03_speex.c.dpatch, done upstream.

 -- Elimar Riesebieter <riesebie@lxtec.de>  Thu, 16 Jun 2005 19:21:12 +0200

moc (2.2.2+2.3.0-alpha2-6) unstable; urgency=low

  * patch mp3-endianes.patch

 -- Elimar Riesebieter <riesebie@lxtec.de>  Mon, 30 May 2005 21:12:36 +0200

moc (2.2.2+2.3.0-alpha2-5) unstable; urgency=low

  * patch alsa-endianes.patch

 -- Elimar Riesebieter <riesebie@lxtec.de>  Mon, 30 May 2005 20:11:17 +0200

moc (2.2.2+2.3.0-alpha2-4) unstable; urgency=low

  * patch -R endianes-2.patch 
  * patch endianes-3.patch

 -- Elimar Riesebieter <riesebie@lxtec.de>  Sun, 29 May 2005 23:10:15 +0200

moc (2.2.2+2.3.0-alpha2-3) unstable; urgency=low

  * patch -R endianes_conv-alpha2.patch 
  * patch endianes-2.patch

 -- Elimar Riesebieter <riesebie@lxtec.de>  Sun, 29 May 2005 21:15:30 +0200

moc (2.2.2+2.3.0-alpha2-2) unstable; urgency=low

  * Added curl_wake_up.patch and endianes_conv-alpha2.patch

 -- Elimar Riesebieter <riesebie@lxtec.de>  Sun, 29 May 2005 18:42:22 +0200

moc (2.2.2+2.3.0-alpha2-1) unstable; urgency=low

  * New alpha upstream.
  * Added libsamplerate0-dev, libcurl3-dev and libspeex-dev to the
    Build-Depends.
  * Added Build-Conflicts-Indep: libcurl3-gssapi
  * Sample rate conversion using libsamplerate and some sound conversions like
    16bit -> 24bit etc. With 24bit sound cards 24bit output is used with mp3.
    Jack can be used with any stereo files.
  * Support for mp3 internet streams.
  * Added support for speex format (without seeking).
  * Reading tags in internet streams from icy-metadata.
  * Colors can be redefined in themes using 'colordef COLOR = R G B' (works for
    terminal that can change the colors).
  * Print also the file name with --info.
  * Improved Jack support - less xruns, but a known bug is that played sound
    has clicks.
  * Support for 24bit flac files (not tested).
  * Added SeekTime option: how fast the seeking is. (Kamil Tarkowski)
  * Recognize internet stream format by MIME type.
  * Accept "ICY 200 OK" HTTP response for compatibility with IceCast.
  * A list of sound drivers can be used instead of only one driver in the
    configuration file. The first working driver will be used.
  * Alsa mixer has always 0-100 range despite the actual device range.
  * Added --toggle-pause command line option.
  * Added ResampleMethod and ForceSampleRate configuration options.
  * Don't block the audio device when paused. Based on a patch by hondza.
  * Don't try to use colors on black/white terminals.
  * Treat an option that is set in the config file more than once as an error.
  * Print descriptions for some errors in the config file.
  * Added HTTPProxy option.
  * Better error messages in the Ogg plugin.
  * Better detecting Ogg vorbis stream by content.
  * Decreased the time to wait for the pcm to become ready to get samples in
    alsa. This helps with underruns.
  * Show the bitrate and the sample rate with --info regardless of availability
    of other parameters.
  * Fixed protect attribute in themes.

 -- Elimar Riesebieter <riesebie@lxtec.de>  Sun, 29 May 2005 13:41:46 +0200

moc (2.2.2-1) unstable; urgency=low

  * New upstream.
  * Removed 03_back_crash.dpatch. Done upstream
  * Added an option to ignore CRC errors in mp3 files (set to yes by default,
    like most players do). This fixes playing mp3 files that have bad CRC
    checksums but are actually good. (Closes: #305887)

 -- Elimar Riesebieter <riesebie@lxtec.de>  Tue, 17 May 2005 16:43:15 +0200

moc (2.2.1-2) unstable; urgency=low

  * Added 03_back_trash.dpatch. (Closes: #307651)

 -- Elimar Riesebieter <riesebie@lxtec.de>  Wed,  4 May 2005 20:44:08 +0200

moc (2.2.1-1) unstable; urgency=low

  * New upstream.
  * Removed 03_size_t-64bit.dpatch. Done upstream.
  * Dumped Standards-Version to 3.6.1.1

 -- Elimar Riesebieter <riesebie@lxtec.de>  Sun, 17 Apr 2005 11:28:28 +0200

moc (2.2.0-3) unstable; urgency=low

  * Added patch 03_size_t-64bit.dpatch to fix build warnings on ia64, alpha and
    s390

 -- Elimar Riesebieter <riesebie@lxtec.de>  Wed, 30 Mar 2005 19:23:46 +0200

moc (2.2.0-2) unstable; urgency=low

  * Many thanks to Bartosz Fenski aka fEnIo for sponsoring ;-)
  * Moved NEWS to changelog.
  * Honored the work of Michal Jeczalik in debian/copyright.

 -- Elimar Riesebieter <riesebie@lxtec.de>  Sat, 26 Feb 2005 22:28:17 +0100

moc (2.2.0-1) unstable; urgency=low

  * New stable upstream (Closes: #290131).
  * Changes since 2.1.4: See /usr/share/doc/moc/NEWS.
  * Cleaned garbage in rules.
  * Fixed control.
  * Moved README.Debian to README.txt.

 -- Elimar Riesebieter <riesebie@lxtec.de>  Sat, 26 Feb 2005 18:51:29 +0100

moc (2.1.3+2.2.0beta2-1) unstable; urgency=low

  * New upstream.
  * Repeat without AutoNext plays a song in loop.
  * Fixed deleting items from the playlist.
  * Synchronizing the playlist between clients is faster and works better.
  * Fixed handling a playlist file as command a line argument.
  * Fixed behaviour of --append --clear and --play.
  * Fixed some races between clients.
  * Fixed compilation with --disable-debug.
  * Fixed --version information.
  * Fixed a memory leak with SyncPlaylist turned off.
  * Updated the man page.

 -- Elimar Riesebieter <riesebie@lxtec.de>  Fri, 18 Feb 2005 21:09:38 +0100

moc (2.1.3+2.2.0beta1-3) unstable; urgency=low

  * Recompiled against libvorbis-dev 1.0.1 (sarge version)

 -- Elimar Riesebieter <riesebie@lxtec.de>  Tue,  8 Feb 2005 06:38:53 +0100

moc (2.1.3+2.2.0beta1-2) unstable; urgency=low

  * Switched to dpatch

 -- Elimar Riesebieter <riesebie@lxtec.de>  Mon,  7 Feb 2005 15:13:54 +0100

moc (2.1.3+2.2.0beta1-1) unstable; urgency=low

  * New upstream.
  * Synchronizing the playlist between clients (interface instances).
  * True shuffle, not a random item from the playlist.
  * Fast, silent seeking ('[' and ']' keys).
  * iconv() (character set conversion) for file names.
  * END and HOME keys working in the i command entry (go to a directory).
  * Synchronizing adding/deleting items from the playlist with the server's playlist.
  * Faster operations on big playlists.
  * Fixed saving playlist when more than one client wants to do this.
  * Fixed recursive adding file to the playlist if some directory can't be read.
  * Checking modification time of the currently played file when getting the time.
  * Checking for wrong redefinitions of keys.

 -- Elimar Riesebieter <riesebie@lxtec.de>  Sun,  6 Feb 2005 21:06:58 +0100

moc (2.1.3+2.2.0alpha3-1) unstable; urgency=low

  * New upstream
  * Custom keymaps.
  * Added AlsaMixer and AlsaDevice options.
  * Added '/' command working as an alias for g (Kamil Tarkowski).
  * Added CTRL-n working like CTRL-g (Kamil Tarkowski).
  * ? key working like h (Kamil Tarkowski).
  * Playlist time displayed in format 000:00:00 (Kamil Tarkowski).
  * Added green_theme (Jacek Lehmann).
  * Changing the icon name when changing the xterm title (Jacek Lehmann).
  * Arrow keys and the delete key works in the entry field.
  * Detecting other terminals beside xterm (Jacek Lehmann).
  * Added b (back) command (Kamil Tarkowski).
  * A bit faster getting files time.
  * Added SavePlaylist option.
  * Added a bar showing time of the current file.
  * Added (empty|filled)_mixer_bar, (empty|filled)_time_bar to themes.
  * Fixed setting sound parameters while playing OGG. This caused crashes on big endian machines.
  * Fixed crash on some file tags.
  * Fixed crash when issuing some errors.
  * Fixed the --help message.
  * Fixed bad terminal state after exiting the client in rare cases.
  * Fixed adding directories recursively when ReadTags is turned off.
  * Fixed going to the root directory with the i command.
  * Fixed getting time when nothing is played.

 -- Elimar Riesebieter <riesebie@lxtec.de>  Fri, 28 Jan 2005 18:57:23 +0100

moc (2.1.3+2.2.0alpha2-5) unstable; urgency=low

  * Recompiled against new flac libraries (1.1.1)

 -- Elimar Riesebieter <riesebie@lxtec.de>  Mon, 10 Jan 2005 18:57:07 +0100

moc (2.1.3+2.2.0alpha2-4) unstable; urgency=low

  * Added ogg_set_sound_params_er.patch

 -- Elimar Riesebieter <riesebie@lxtec.de>  Tue,  4 Jan 2005 14:11:08 +0100

moc (2.1.3+2.2.0alpha2-3) unstable; urgency=low

  * Fixed lintian errors

 -- Elimar Riesebieter <riesebie@lxtec.de>  Tue,  4 Jan 2005 01:22:24 +0100

moc (2.1.3+2.2.0alpha2-2) unstable; urgency=low

  * Fixed mocp.8 patch

 -- Elimar Riesebieter <riesebie@lxtec.de>  Wed, 29 Dec 2004 12:58:14 +0100

moc (2.1.3+2.2.0alpha2-1) unstable; urgency=low

  * New upstream
  * Displaying the total time of files on the playlist and in directories.
  * Faster reading and saving playlists.
  * Added --pause and --unpause command line parameters.
  * Added G command: go to a directory when the currently played file is.
  * Added U command: go to '..'.
  * Added nightly_theme.
  * Recognize if a file was modified and rereading tags and time if necessary.
  * The cursor is hidden when it's not needed.
  * Fixed sorting when using the A command.
  * Position of time and format in menu is fixed.
  * Searching for a theme in the user directory first.
  * Fixed interrupting operations with CTRL-C in some places.
  * Fixed a memory leak when reading OGG tags.
  * Few fixes when running MOC with file names or directories as arguments.
  * Fixed reading track numbers for mp3 files.
  * Changed the erroneous name of the time_left_frames to time_total_frames in themes.

 -- Elimar Riesebieter <riesebie@lxtec.de>  Tue, 21 Dec 2004 21:44:05 +0100

moc (2.1.3+2.2.0alpha1-1) unstable; urgency=low

  * New upstream
  * Added support for FLAC audio format.
  * Added suport for various file formats like au, aiff, voc, and more using
    libsndfile. This also provides better support for waves.
  * Going to a directory by typing the path with file-name
    completion (i command).
  * Ability to use default (transparent) and grey color.
  * Added a theme with transparent background.
  * Global theme directory.
  * MOC should now work on big-endian processors.
  * Added XTermTheme option to use a different theme when running on XTerm.
  * Fixed the 'next' command when AutoNext option is turned off.
  * Corrected note about how to start moc in README.Debian (shame ..)

 -- Elimar Riesebieter <riesebie@lxtec.de>  Sun, 21 Nov 2004 17:27:42 +0100

moc (2.1.3-1) unstable; urgency=low

  * New upstream
        - removed debian/patches/audio.c.patch -> done upstream
        - removed debian/patches/option.c.patch -> done upstream
  * reworked debian/README.debian and debian/menu
  * Commented dh_installcron and dh_installinfo as we don't need it

 -- Elimar Riesebieter <riesebie@lxtec.de>  Mon, 15 Nov 2004 20:20:23 +0100

moc (2.1.2-3) unstable; urgency=low

  * Added libncursesw5-dev to the buildepends

 -- Elimar Riesebieter <riesebie@lxtec.de>  Sun, 14 Nov 2004 20:41:52 +0100

moc (2.1.2-2) unstable; urgency=low

  * Fixed mismatched debian/control

 -- Elimar Riesebieter <riesebie@lxtec.de>  Sun, 14 Nov 2004 19:52:51 +0100

moc (2.1.2-1) unstable; urgency=low

  * Initial Release.

 -- Elimar Riesebieter <riesebie@lxtec.de>  Sun, 14 Nov 2004 13:45:40 +0100

